#***********************************************************************
#***** @task:    create export version of xAMC *************************
#***** @author:  Bernd Noack *******************************************
#***** @revised: 2012-08-16 Poitiers (renaming & added cleaning) *******
#***** @revised: 2012-06-11 Poitiers (Morzynski_201202_ml2u added) *****
#***** @revised: 2011-02-26 Poitiers (xAMC_Tools -> xRun + xTools) *****
#***** @revised: 2010-08-27 Poitiers (xAMC-> xAMC_tools) ***************
#***** @revised: 2010-04-07 Poitiers (Include xDS in export) ***********
#***** @revised: 2010-04-01 Berlin (2nd renaming of directories) *******
#***** @revised: 2010-01-15 Poitiers (renaming of directories) *********
#***** @version: 2006-09-30 Berlin *************************************
#***********************************************************************

#----- 
echo "Creating xAMC_Basic with subdirectories ..."
rm -fr ~/1/Proc/xAMC_Basic
mkdir  ~/1/Proc/xAMC_Basic
mkdir  ~/1/Proc/xAMC_Basic/xRun
mkdir  ~/1/Proc/xAMC_Basic/xRun/docu
mkdir  ~/1/Proc/xAMC_Basic/xRun/devKit
mkdir  ~/1/Proc/xAMC_Basic/xTools
mkdir  ~/1/Proc/xAMC_Basic/xTools/xLib
mkdir  ~/1/Proc/xAMC_Basic/xTools/x0_GM
mkdir  ~/1/Proc/xAMC_Basic/xTools/x1_GM
mkdir  ~/1/Proc/xAMC_Basic/xTools/x2_GM
mkdir  ~/1/Proc/xAMC_Basic/xTools/x3_GM
mkdir  ~/1/Proc/xAMC_Basic/xTools/x3_DS
mkdir  ~/1/Proc/xAMC_Basic/yGM

#----- 
echo "Copying the folder contents (not the subfolders) ..."
cp ~/1/Proc/xAMC/xRun/*.*  ~/1/Proc/xAMC_Basic/xRun/docu
cp ~/1/Proc/xAMC/xRun/devKit/*.*  ~/1/Proc/xAMC_Basic/xRun/devKit
cp ~/1/Proc/xAMC/xTools/xLib/*.*  ~/1/Proc/xAMC_Basic/xTools/xLib
cp ~/1/Proc/xAMC/xTools/x0_GM/*.*  ~/1/Proc/xAMC_Basic/xTools/x0_GM
cp ~/1/Proc/xAMC/xTools/x1_GM/*.*  ~/1/Proc/xAMC_Basic/xTools/x1_GM
cp ~/1/Proc/xAMC/xTools/x2_GM/*.*  ~/1/Proc/xAMC_Basic/xTools/x2_GM
cp ~/1/Proc/xAMC/xTools/x3_GM/*.*  ~/1/Proc/xAMC_Basic/xTools/x3_GM
cp ~/1/Proc/xAMC/xTools/x3_DS/*.*  ~/1/Proc/xAMC_Basic/xTools/x3_DS

#----- 
echo "Copying the shell scripts ..."
cp  ~/1/Proc/xAMC/xRun/xAMC   ~/1/Proc/xAMC_Basic/xRun
cp  ~/1/Proc/xAMC/xRun/CLEAN* ~/1/Proc/xAMC_Basic/xRun

#----- 
echo "Copying the yGM directories ..."
cd ..  
mkdir                                ~/1/Proc/xAMC_Basic/yGM
cp -r ~/1/Proc/xAMC/yGM/Noack_2003jfm/             ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm

#-----
echo "Cleaning the export directory ..."
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/xAMC.*tar.gz
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/yAMC+FTT.sh
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/yAMC_include/y4*
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/yAMC_include/y*orig
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/yAMC_include/y*.u0+*
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/z0_Data.sh
rm -fr ~/1/Proc/xAMC_Basic/yGM/Noack_2003jfm/z1_*

rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/CLEAN.sh
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/edit*sh
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/x?_create*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/x?_write*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/x?_test*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/x?_Amira*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x?_GM/xx?_*

rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/CLEAN.sh
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/edit*sh
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/aa*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/x3_create*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/x3_write*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/x3_test*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/x3_Amira*
rm -fr ~/1/Proc/xAMC_Basic/xTools/x3_DS/xx?_*


#-----
echo "Taring the export directory ..."
cd ~/1/Proc/
tar cvzf xAMC_Basic.tgz xAMC_Basic

echo "***** FINI *****************************************"
echo ">>> See in ~/1/Proc/xAMC_Basic" 
