************************************************************************
*****                                                              *****
***** @program name: x0_plotFlow2u                                 *****
***** @task:   plot selected flow (2u format)                      *****
***** @input:  ...                                                 *****
***** @output: ...                                                 *****
*****                                                              *****
************************************************************************
*****                                                              *****
***** @author:  Bernd Noack                                        *****
***** @see:     Noack & Cordier 2010+ CEAT report                  *****
***** @revised: 2011-02-12 Poitiers (no explite file name)         *****
***** @revised: 2010-11-09 Poitiers                                *****
***** @created: 2010-04-14 Poitiers                                *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x0plotFlow2u
      implicit none
* --- variables for grid and flow
      include 'xv3X.include'           ! NXP, ...
      include 'xv3X_Flow.include'      ! ug
* --- auxiliary variables for file name
      character*120 Line      ! input line
      character*120 fn        ! file name
      integer       fnLength  ! length of file name (# of characters)

* === begin main segment ============================================= *
* --- User input
      write(*,*) '****************************************'
      write(*,*) '******* Plot a flow (2u format) ********'
      write(*,*) '****************************************'
      write(*,*) '-------------- BN 110212 ---------------'
      write(*,*)
* --- Read and plot flow
      call readData(fn,fnLength,fFlowG)
      call plotFlow(fn,fnLength,fFlowG)
* === End of main segment ============================================ *
      stop
      end

************************************************************************
* === Read data ====================================================== *
      subroutine readData(fn,fnLength,fFlowG)
* --- Variables for grid and flow
      include 'xv3X.include'           ! NXP, ...
      include 'xv3X_Grid.include'      ! xG, ...
      include 'xv3X_Flow.include'      ! fFlowG, ...
* --- Auxiliary variables for file name and its existence
      character*120 fn        ! file name
      integer       fnLength  ! length of file name (# of characters)
* --- Further auxiliary variables
      integer iOption, iFlow
      common / IDFlow / iOption, iFlow
* --- Begin of subroutine -------------------------------------------- *
      write(*,*) '< 1 > ... shapshot << y1_Flows.dat >>'
      write(*,*) '< 2 > ... mode     << y1_Modes.dat >>'
* --- User input
      read (*,*) iOption
      if (iOption.eq.1) then
        write(*,*) 'snapshot number:'
        read(*,*) iFlow
        call readFilenameFlow1(iFlow,fn,fnLength)
      else if (iOption.eq.2) then
        write(*,*) 'mode number:'
        read(*,*) iFlow
        call readFilenameMode1(iFlow,fn,fnLength)
      end if
* --- Read grid and flow
      call readGrid
      call readFlow(fn,fnLength,fFlowG)
* --- End of subroutine ---------------------------------------------- *
      return
      end
