************************************************************************
*****                                                              *****
***** @program name: x0_plotGrid2c                                 *****
***** @task:   plot grid of whole domain                           *****
***** @input:  ...                                                 *****
***** @output: ...                                                 *****
*****                                                              *****
************************************************************************
*****                                                              *****
***** @author:  Bernd Noack                                        *****
***** @see:     res.20100408.xAMC_ToDo                             *****
***** @revised: 2010-11-09 Poitiers                                *****
***** @created: 2010-11-01 Poitiers                                *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x0plotGrid2c
      implicit none
* --- Variables for grid and flow
      include 'xv3X.include'           ! NXP, ...
      include 'xv3X_Grid.include'      ! NXP, ...
* --- Auxiliary variables for file name and its existence
      character*120 fn                 ! file name
      integer       fnLength           ! length of file name (# of char.)
* --- Further auxiliary variables
      integer ix, iy
* === Begin main segment ============================================= *
* --- User info
      write(*,*) '****************************************'
      write(*,*) '******* Plot 2-D Cartesian grid ********'
      write(*,*) '******* of the whole domain     ********'
      write(*,*) '****************************************'
      write(*,*) '-------------- BN 101109 ---------------'
      write(*,*)
* --- Read and write grid
      call readGrid
      open(10,file='gnu_ix.dat',form='FORMATTED')
      do ix = 1, NX
        write(10,*) ix, xG(ix)
      end do
      close(10)
      open(10,file='gnu_iy.dat',form='FORMATTED')
      do iy = 1, NY
        write(10,*) iy, yG(iy)
      end do
      close(10)
* === End of main segment ============================================ *
      stop
      end
