************************************************************************
*****                                                              *****
***** @program name: x1_Info                                       *****
***** @task:   display information about GM from y-files           *****
***** @input:  ...                                                 *****
***** @output: ...                                                 *****
*****                                                              *****
************************************************************************
*****                                                              *****
***** @author:  Bernd Noack                                        *****
***** @see:     res.20100408.xAMC_ToDo                             *****
***** @revised: 2010-11-07 Poitiers (RAM)                          *****
***** @revised: 2010-04-16 Poitiers                                *****
***** @created: 2010-04-09 Poitiers                                *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x1Info
      implicit none
      integer NDomain, NFlows1, NModes1, NModes2, NForces
* === Begin main segment ============================================= *
      write(*,*) '****************************************'
      write(*,*) '***** Display information about GM *****'
      write(*,*) '****************************************'
      write(*,*) '-------------- BN 101110 ---------------'
      write(*,*)
* --- Initialize
      write(*,*) '***** DOMAINS **************************'
      call countDomains(NDomain)
      write(*,*) '***** DATA *****************************'
      call countFlows1(NFlows1)
      write(*,*) '***** GALERKIN EXPANSION ***************'
      call readYGA
      call showYGA
      call countModes1(NModes1)
      write(*,*) '***** GALERKIN PROJECTION **************'
      call readYGP
      call showYGP
      call countForces(NForces)
      call countModes2(NModes2)
      write(*,*) '***** PC RESOURCES *********************'
      call requiredRAM
* === End of main segment ============================================ *
      stop
      end

************************************************************************
* === Compute required RAM =========================================== *
      subroutine requiredRAM
      implicit none
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
      include 'xv3X.include' ! NXSubP, ...
      real*8  fDummy, fDummy1, fDummy2
* --- Begin subroutine ----------------------------------------------- *
      write(*,*)
      write(*,*) 'Required RAM:'
      fDummy = NXSubP*NYSubP*NZSubP*NVarFlowSub
      fDummy1 = fDummy*NFlowsP * 8 / 1.E6
      fDummy2 = fDummy*(NEMP-NAMP+1) * 8 / 1.E6
      write(*,'(i6,2x,a)') nint(fDummy1),' MB for snapshots'
      write(*,'(i6,2x,a)') nint(fDummy2),' MB for modes'
      write(*,'(3a)') '------','--',     '-----------------'
      write(*,'(i6,2x,a)') nint(fDummy1+fDummy2),' MB in total'
* --- End subroutine ------------------------------------------------- *
      return
      end