************************************************************************
*****                                                              *****
***** @program name: x1_plotAmplitudes                             *****
***** @task:   plots amplitude evolution                           *****
***** @input:  z[1,3]_Times.dat ........ sampling times            *****
****           z[1,3]_Amplitudes.dat ... saved states              *****
***** @output: gnu_ta.000i ...... t-> a_i(t)                       *****
*****                                                              *****
************************************************************************
*****                                                              *****
***** @author:  Bernd Noack                                        *****
***** @see:     ---                                                *****
***** @revised: 2010-11-11 Poitiers                                *****
***** @revised: 2010-02-29 Berlin (new nomenclature)               *****
***** @revised: 2010-02-09 Poitiers                                *****
***** @created: 2010-02-08 Toulouse                                *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x1plotAmplitudes
      implicit none
      include 'xv_DS.include'      ! NAP,...  | dimensions of DS
      include 'xv_DS_Solution.include' ! NSnap,...| dimensions of array
* === Begin main segment ============================================= *
      write(*,*) '**************************'
      write(*,*) '**** plot Amplitudes *****'
      write(*,*) '**************************'
      write(*,*) '------ BN 101111 ---------'
      write(*,*)
* --- Initialize
      call readAmplitudes(fTm,fAim,NSnap)
      call plotAmplitudes(fTm,fAim,NSnap)
* === End of main segment ============================================ *
      stop
      end
