************************************************************************
*****                                                              *****
***** @program name: x1_plotPhasePortrait                          *****
***** @task:   plots amplitude modes                               *****
***** @input:  z3_Times.dat ........ sampling times                *****
****           z3_Amplitudes.dat ... saved states                  *****
***** @output: gnu_[GA,DS]_a.000ia000j.dat ..... (a_i,a_j)         *****
*****                                                              *****
************************************************************************
*****                                                              *****
***** @author:  Bernd Noack                                        *****
***** @see:     ---                                                *****
***** @created: 2010-11-11 Poitiers                                *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x1plotPhasePortrait
      implicit none
      include 'xv_DS.include'      ! NAP,...  | dimensions of DS
      include 'xv_DS_Solution.include' ! NSnap,.. | dimensions of array
* === Begin main segment ============================================= *
      write(*,*) '*******************************'
      write(*,*) '**** Plot phase portraits *****'
      write(*,*) '*******************************'
      write(*,*) '--------- BN 101111 -----------'
      write(*,*)
* --- Initialize
      call readAmplitudes   (fTm,fAim,NSnap)
      call plotPhasePortrait(fTm,fAim,NSnap)
* === End of main segment ============================================ *
      stop
      end
