************************************************************************
***** Programm created by Bernd R. Noack, 2012-01-15 *******************
************************************************************************
      program aCLEAN
      implicit none
      integer      iFileClass, iDummy
      character*80 Line
      integer      fn0Length, fnLength
      character*80 fn0,       fn
* === begin of main segment =========================================== *
* --- reading the grid type
      open(unit=10,file  ='z0.dat',     status='old',
     &             access='sequential', form  ='formatted')
      read (10,'(a)',end=999) Line
      close(10)
      call readFileName(Line,fn0,fn0Length)
* --- Open the file listing and the shell script for renaming
* --- Restrict file listing to current directory "ls -d"
      call system('ls -d x[0-4]*.* > tmp.lis')
      call system('ls -d xX*.* >> tmp.lis')
      open(unit=11,file  ='tmp.lis',   status='old',
     &             access='sequential', form  ='formatted')
      open(unit=12,file  ='tmp.sh',    status='unknown',
     &             access='sequential', form  ='formatted')
* --- Loop over files ------------------------------------------------- *
 101  continue
* --- read file name
      read(11,'(a)',end=199) Line
      call readFileName(Line,fn,fnLength)
* --- Write move command
      iDummy = iFileClass(fn,fnLength)
      if (iDummy.gt.2) write(12,'(a,a)') 'rm ', fn(1:fnLength)
* ... remove files if the grid does not correspond to z0.dat
      goto 101
* --- End of loop over files ------------------------------------------ *
 199  continue
      close(11)
      close(12)
      call system('chmod u+x tmp.sh')
* --- user output
      write(*,*) '****************************************'
      write(*,*) '>>> sh tmp.sh'
 999  continue
* === end of main segment ============================================= *
      stop
      end

************************************************************************
* === read file name ================================================= *
      subroutine readFileName(Line,fn,fnLength)
      implicit none
      integer            fnLength
      character*80 Line, fn
      integer iCh, iChMin, iChMax, iASCII
* --- begin segment -------------------------------------------------- *
      write(*,*) 'Reading the file name...',Line(1:40)
* --- truncate string from comments starting with [
      iChMax = index(Line,'[')-1
      if (iChMax.lt.0) iChMax=80
* --- avoid 
      do while (Line(iChMax:iChMax).eq.' '.and.iChMax.gt.1)
         iChMax = iChMax - 1
      end do
      iChMin = 1
      do while ((iChar(Line(iChMin:iChMin)).eq.iChar(' ').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('(').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar(')').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('{').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('}').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('[').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar(']')).and.
     &           iChMin.lt.iChMax)
* --- search for first Character (0-9, a-z or A-Z)
C      do while ((iChar(Line(iChMin:iChMin)).lt.iChar('0').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('9')).and.
C     &          (iChar(Line(iChMin:iChMin)).lt.iChar('A').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('Z')).and.
C     &          (iChar(Line(iChMin:iChMin)).lt.iChar('a').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('Z')).and.
C     &           iChMin.lt.iChMax)
         iChMin = iChMin + 1
      end do
      if (iChMin.eq.iChMax) stop 'No file name found'
* ---
      fn      = Line(iChMin:iChMax)
      fnLength = iChMax-iChMin+1
      write(*,'(a,i2.2,a,i2.2,3a,i3)') ' Name(',iChMin,':',iChMax,')=',
     &         fn(1:fnLength),'; length=',fnLength
* --- end segment ---------------------------------------------------- *
      return
      end

************************************************************************
* === type of file: 0 grid independennt
* === ............. 1 grid dependent, z0.dat not found
* === ............. 2 grid dependent, same as in z0.dat
* === ............. 3 grid dependent, different from z0.dat 
      integer function iFileClass(fn,fnLength)
      implicit none
      integer      fnLength, iCh, iDummy
      character*80 fn,       Line
      logical bDummy
* --- begin of segment
* --- Search for the dimension specifying character ------------------ *
      iDummy = -1 ! default = unclassifyable
      iCh = index(fn,'_0.') -2
* ........ e.g. for 'x0_Name2u_0.sh' this points on 2
      if (iCh.lt.0) iCh = index(fn,'.') -2 
* ........ e.g. for  'x0_Name2u.sh' this points on 2
      if (iCh.lt.0) goto 999 
* --- Checking if the character is in [0,3] -------------------------- *
      iDummy = 0
      if (iChar(fn(iCh:iCh)).lt.iChar('0').or.
     &    iChar(fn(iCh:iCh)).gt.iChar('3')) goto 999
* ---
      iDummy = 1 ! default = grid dependent
      inquire(file='z0.dat',exist=bDummy)
      if (.not.bDummy) goto 999
* --- Reading the grid type from << z0.dat >>
      open(unit=10,file  ='z0.dat',   status='old',
     &             access='sequential', form  ='formatted')
      read(10,'(a)',end=999) Line
      close(10)
* --- Test if first character of z0.dat is a dimension (as it should)
      if (iChar(Line(1:1)).lt.iChar('0').or.
     &    iChar(Line(1:1)).gt.iChar('3').or.fnLength.le.1) goto 999
* --- This comparison may need to be upgraded
      if (iChar(Line(1:1)).eq.iChar(fn(iCh:iCh)).and.
     &    iChar(Line(2:2)).eq.iChar(fn(iCh+1:iCh+1))) then
        iDummy = 2
      else
        iDummy = 3
      end if
C DEB     write(*,'(a,2x,a,5i4)') Line(1:2),fn(iCh:iCh+1),iCh,
C DEB&    iChar(Line(1:1)),iChar(fn(iCh:iCh)),
C DEB&    iChar(Line(2:2)),iChar(fn(iCh+1:iCh+1))
* --- 
  999 write(*,'(10x,i4)') iDummy
      iFileClass = iDummy
* --- end of segment
      return
      end
