************************************************************************
*****                                                              *****
***** @segment name: xs3c_ioFlowSub.f                              *****
*****                                                              *****
***** @task: read flow data (subdomains)                           *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
***** The following inclusion is necessary, because xAMC3X *************
***** reads EITHER xs3c_ioFlowSub OR xs3x_ioFlow BUT NOT BOTH. *********
      include 'xs3X_ioFlow.f'
************************************************************************
***** subroutine readFlowSub (iDomain,fn,fnLength,fFlowSubG)


************************************************************************
* === read from the original snapshot ================================ *
      subroutine readFlowSub(iDomain,fn,fnLength,fFlowSubG)
      implicit none
* --- index and flow field (raw data=entire field)
      include 'xv3X.include'           ! for NX, ..., NXSub, ...
* --- index and flow field (for xAMC, subdomain)
      include 'xv3X_FlowSub.include'   ! for fFlowSubG, ...

* --- file name
      character*120 fn,      fn2       ! file name of snapshot
      integer       fnLength,fn2Length ! file name length

* --- auxiliary variables
      integer       iDomain
      integer       ixMin, iyMin, izMin
      integer       ix,    iy,    iz,   iVar   ! counters

* --- begin of segment ----------------------------------------------- *
      NXSub = 21
      if (iDomain.eq.109) NXSub=10
      NYSub = 849
* ---
      write(fn2,'(a,a,i4.4)') fn(1:fnLength),'_',iDomain
      fn2Length = fnLength + 5
* ---
      write(*,'(a,10i5)') fn2(1:fn2Length),
     &                    iDomain,NXSub,NYSub,NVarFlowSub
      open(10,file=fn2(1:fn2Length),status='OLD',form='unformatted')
C XXX read(10) NX,NY,NZ, iVar
      write(*,'(a,4i5)') 'Dimensions = ',NXSub,NYSub,NVarFlowSub
      do iVar=1,NVarFlowSub
        read(10) ((fFlowSubG(ix,iy,1,iVar),ix=1,NXSub),iy=1,NYSub)
      end do
      close(10)
* --- extracting the xAMC data  -------------------------------------- *
C XXX call compIndexDomain(iDomain,ixMin,iyMin,izMin)
      NZSub =  2 ! create 2 layers for pseudo 2D
      write(*,'(a,i4,a,i4,a,i4,a,i2,3a)') 
     &        'Extracting the xAMC data ',
     &         NXSub,'x',NYSub,'x',NZSub,'x',NVarFlowSub, 
     &        ' snapshot'
* --- extract zone
      do iz   = 1, NZSub
      do iy   = 1, NYSub
      do ix   = 1, NXSub
          fFlowSubG(ix,iy,iz,1) = fFlowSubG(ix,iy,1,1)
          fFlowSubG(ix,iy,iz,2) = fFlowSubG(ix,iy,1,2)
          fFlowSubG(ix,iy,iz,3) = 0.0
      end do
      end do
      end do

* --- output --------------------------------------------------------- *
      write(*,*)

* --- end of segment ------------------------------------------------- *
      return
      end
