************************************************************************
*****                                                              *****
***** @segment name: xs3c_ioOrig.f                                 *****
*****                                                              *****
***** @task: read original grid data                               *****
*****        This segment contains data specific routines.         *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
************************************************************************
***** subroutine readGrid

************************************************************************
* === read the original grid ========================================= *
      subroutine readGrid
      implicit none
* --- index and flow field (orignal data=entire field)
      include 'xv3X.include'           ! for NX, ...
      include 'xv3X_Grid.include'      ! for grid
* --- file name
      character*120 fn                 ! file name of snapshot
      integer       fnLength           ! file name length
* --- auxiliary variables
      integer       ix, iy, iz, iVar   ! counters
      real*8        fMin(3), fMax(3)   ! extremal values


* --- begin of segment ----------------------------------------------- *
      fnLength = 16            ! <<< REMOVE HARDWIRING
      fn       = 'z0_Data/Grid.dat' ! <<< REMOVE HARDWIRING

* --- user info
      write(*,'(3a)') 
     &        'Reading the original grid << ',fn(1:fnLength), ' >> ...'


* --- reading the grid ----------------------------------------------- *
      open(10,file=fn(1:fnLength),status='OLD',form='formatted')
      read(10,*) NX, NY, NZ
      NZ = 1
      write(*,'(a,3i5)') 'Dimensions = ',NX, NY, NZ
      read(10,*) (xG(ix),ix=1, NX)
      read(10,*) (yG(iy),iy=1, NY)
      close(10)

* --- output --------------------------------------------------------- *
      write(*,*) 'Extremal values:'

      do iVar=1,3
        fMin(iVar) =+1.E37
        fMax(iVar) =-1.E37
      end do

      do iz  =1,NZ
      do iy  =1,NY
      do ix  =1,NX
        fMin(1) = min(fMin(1),xG(ix))
        fMax(1) = max(fMax(1),xG(ix))
        fMin(2) = min(fMin(2),yG(iy))
        fMax(2) = max(fMax(2),yG(iy))
        fMin(3) = min(fMin(3),zG(iz))
        fMax(3) = max(fMax(3),zG(iz))
      end do
      end do
      end do

      do iVar=1,3
        write(*,'(i3,2f12.5)') iVar, fMin(iVar), fMax(iVar)
      end do
      call pressRETURN

* --- end of segment ------------------------------------------------- *
      return
      end

