************************************************************************
*****                                                              *****
***** @segment name: xs2u_ioFlowSub.f                              *****
***** @task: read/write flow for 2D unstructured grid (subdomain)  *****
***** @see:  header of res.20100408.xAMC_ToDo.tex                  *****
*****                                                              *****
************************************************************************
* === subroutine readFlowsSub(iDomain,fFlowSubG)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

************************************************************************ 
* === read the flow of a 2D unstructured grid (subdomain) ============ *
      subroutine readFlowSub(iDomain,fn,fnLength,fFlowSubG)
      implicit none
* --- input parameters for filename and domain
      integer       iDomain  ! domain number
      character*120 fn       ! file name
      integer       fnLength ! length of file name (# of characters)
* --- variables for grid and flow
      include 'xv3X.include'            ! NXSub, ...
      include 'xv3X_FlowSub.include'    ! fFlowSubG
* === NOTE THAT xv2u_*.include will be copied on xv3X_*.include before
* --- auxiliary variables for file name
* --- auxiliary dummy variables
      integer iXSub, iYSub, iZSub       ! counter for grid nodes
      integer iDummy                    ! dummy variable
* --- begin of segment ----------------------------------------------- *
* --- initialize pseudo 3D format
* >>> THIS IS ASSUMED TO HAVE BEEN DONE BY << readGrid >>
C XXX NYSub = 1
C XXX NZSub = 1
* --- read the flow
      write(*,'(a,a,a,i4,a)') 
     &        'Reading the flow from <<', fn(1:fnLength),
     &        ' >>, iDomain=',iDomain,' ...'
* --- open the file
      open(10, file =fn(1:fnLength), status='old', form='formatted')
* --- read grid nodes
      read(10,*) NXSub
      write(*,*) 'Reading ',NXSub,' nodes ...'
      do iZSub = 1, NZSub
      do iYSub = 1, NYSub
      do iXSub = 1, NXSub
        read(10,*) (fFlowSubG(iXSub,iYSub,iZSub,iDummy), 
     &              iDummy=1,NVarFlowSub)
      end do
      end do
      end do
* --- close the file
      close(10)
* --- end of segment ------------------------------------------------- *
      return
      end
