************************************************************************
*****                                                              *****
***** @segment name: xs2u_ioGrid.f                                 *****
***** @task: read grid for 2D unstructured grid                    *****
***** @see:  header of res.20100408.xAMC_ToDo.tex                  *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
************************************************************************

************************************************************************ 
* === read the 2D unstructured grid ================================== *
      subroutine readGrid
      implicit none
* --- variables for grid
      include 'xv3X.include'      ! NX, ...
      include 'xv3X_Grid.include'       ! xyzG
      character*120 fn        ! file name
      integer       fnLength  ! length of file name (# of characters)
* --- auxiliary variables for readLine
      character*120 Line
      logical       bOK
* --- auxiliary dummy variables
      integer iX, iY, iZ, iDummy        ! counter for grid nodes
      integer iMesh, iIndex         ! counters for triangular mesh
* --- begin of segment ----------------------------------------------- *
* --- initialize pseudo 3D format
      NY = 1
      NZ = 1
* --- read file name of the grid
      write(*,*) 'Locating the grid from << y0_Grid.dat >>...'
      open(10,file='y0_Grid.dat',status='old',form='formatted')
      call readLine(10,Line,bOK)
      close(10)
      call readFilename(Line,fn,fnLength)
* --- read the grid
      write(*,*) 'Reading the grid <<', fn(1:fnLength),' >> ...'
* --- open the file
      open(10, file =fn(1:fnLength), status='old', form='formatted')
* --- read grid nodes
      read(10,*) NX
      write(*,*) 'Reading ',NX,' nodes ...'
      do iZ = 1, NZ
      do iY = 1, NY
      do iX = 1, NX
        read(10,*) (xyzG(iX,iY,iY,iDummy),iDummy=1,NVarGrid)
      end do
      end do
      end do
* --- reading the triangular mesh
      read(10,*) NMesh
      write(*,*) 'Reading ',NMesh,' triangles...'
      do iMesh = 1, NMesh
        read(10,*) (indexMesh(iIndex,iMesh),iIndex=1,3)
      end do
* --- close the file
      close(10)
* --- end of segment ------------------------------------------------- *
      return
      end
