************************************************************************
*****                                                              *****
***** @segment name: xs3c_ioFlowSub.f                              *****
*****                                                              *****
***** @task: read flow data (subdomains)                           *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
***** The following inclusion is necessary, because xAMC3X *************
***** reads EITHER xs3c_ioFlowSub OR xs3x_ioFlow BUT NOT BOTH. *********
      include 'xs3X_ioFlow.f'
************************************************************************
***** subroutine readFlowSub (iDomain,fn,fnLength,fFlowSubG)


************************************************************************
* === read from the original snapshot ================================ *
      subroutine readFlowSub(iDomain,fn,fnLength,fFlowSubG)
      implicit none
* --- index and flow field (raw data=entire field)
      include 'xv3X.include'           ! for NX, ..., NXSub, ...
      include 'xv3X_Flow.include'      ! for fFlowG
* --- index and flow field (for xAMC, subdomain)
      include 'xv3X_FlowSub.include'       ! for fFlowSubG, ...

* --- file name
      character*120 fn                 ! file name of snapshot
      integer       fnLength           ! file name length

* --- auxiliary variables
      integer       iDomain
      integer       ixMin, iyMin, izMin
      integer       ix,    iy,    iz,   iVar   ! counters

* --- begin of segment ----------------------------------------------- *
* --- user info
      call readFlow(fn,fnLength,fFlowG)

* --- extracting the xAMC data  -------------------------------------- *
      call compIndexDomain(iDomain,ixMin,iyMin,izMin)
      write(*,'(a,i4,a,i4,a,i4,a,i2,3a)') 
     &        'Extracting the xAMC data ',
     &         NXSub,'x',NYSub,'x',NZSub,'x',NVarFlowSub, 
     &        ' snapshot'
* --- extract zone
      do iVar = 1, NVarFlowSub
      do iz   = 1, NZSub
      do iy   = 1, NYSub
      do ix   = 1, NXSub
        fFlowSubG(ix,iy,iz,iVar) = 
     &  fFlowG   (ix+ixMin-1,
     &            iy+iyMin-1,
     &            iz+izMin-1,iVar)
      end do
      end do
      end do
      end do

* --- output --------------------------------------------------------- *
      write(*,*)

* --- end of segment ------------------------------------------------- *
      return
      end