************************************************************************
*****                                                              *****
***** @segment name: xs_DS_State.f                                 *****
***** @task: IO of fixed point                                     *****
*****        + DS independent routines for fixed point iteration   *****
***** @see:  res090905                                             *****
*****                                                              *****
************************************************************************
* === subroutine initState(        fAi)
* === subroutine showState(timeNow,fAi)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

************************************************************************
* === initializing the fixed point =================================== *
      subroutine readFixedPoint(fAi)
      implicit none
      include 'xv_DS.include'     ! NAP,... | dimensions of DS
      include 'xv_DS_State.include'   ! fAi     | state of DS
      integer*8 iDummy, NDummy
      real*8    fDummy
      logical   bDummy
* --- begin of subroutine -------------------------------------------- *
      write(*,*) 'Reading the fixed point',
     &           ' in << z3_FixedPoint.dat >> ...'
* --- initialize the state with "0"
      do iDummy = 1, NAP
        fAi(iDummy)=0
      end do
* --- checking if << z3_FixedPoint.dat >> exist
      inquire(file='z3_FixedPoint',EXIST=bDummy)
      if (.not.bDummy) then
        write(*,*) '<< z3_FixedPoint.dat >> does not exist.'
        write(*,*) 'Initialize with a_i=0, i=1,...,N.'
        return
      end if
* --- reading the state from << z3_FixedPoint.dat >>
      NDummy = 0 ! minimum number of elements
 111  open(10,file='z3_FixedPoint.dat',form='formatted',status='old')
      read(10,*,end=199,err=199) iDummy, fDummy
      if (iDummy.ge.0.and.iDummy.le.NAP) then
        fAi(iDummy) = fDummy
        write(*,'(a,i4,a,f12.5)') 'a^s_',iDummy,'=',fAi(iDummy) 
        NDummy = NDummy + 1
      else
        stop "Error in readFixedPoint: iDummy out of range!"
      end if
      goto 111
 199  close(10)
      write(*,'(a,i5)') '# elements=' ,NDummy
* --- end of subroutine ---------------------------------------------- *
      return
      end

************************************************************************
* === initializing the fixed point =================================== *
      subroutine saveFixedPoint(fAi)
      implicit none
      include 'xv_DS.include'     ! NAP,... | dimensions of DS
      include 'xv_DS_State.include'   ! fAi     | state of DS
      integer*8 iDummy, NDummy
      real*8    fDummy
* --- begin of subroutine -------------------------------------------- *
      write(*,*) 'Saving the fixed point',
     &           ' in << z3_FixedPoint.dat >> ...'
* --- writing the state in << z3_FixedPoint.dat >>
      NDummy = 0 ! minimum number of elements
      open(10,file='z3_FixedPoint.dat',
     &        form='formatted',status='UNKNOWN')
      do iDummy= 1, NA
        if (fAi(iDummy).ne.0) then
          write(10,'(i5,f20.10)') iDummy, fAi(iDummy)
          NDummy = NDummy + 1
        end if
      end do
      close(10)
      write(*,'(a,i5)') '# elements=' ,NDummy
* --- end of subroutine ---------------------------------------------- *
      return
      end
