************************************************************************
*****                                                              *****
***** @segment name: xs_DS_State.f                                 *****
***** @task: initializing and showing the state                    *****
***** @see:  res090905                                             *****
*****                                                              *****
************************************************************************
* === subroutine initState(        fAi)
* === subroutine showState(timeNow,fAi)
* === subroutine writeState(        fAi)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

***********************************************************************
* === initializing the state ========================================= *
      subroutine initState(fAi)
      implicit none
      include 'xv_DS.include'     ! NAP,... | dimensions of DS
      include 'xv_DS_State.include'   ! fAi     | state of DS
      integer*8 iDummy, NDummy
      real*8    fDummy
* --- begin of subroutine -------------------------------------------- *
      write(*,*) 'Reading the state ...'
* --- initialize the state with "0"
      do iDummy = 1, NAP
        fAi(iDummy)=0
      end do
* --- reading the state from the y3_State.dat
      NA     = 1 ! minimum dimension
      NDummy = 0 ! minimum number of elements
 111  open(10,file='y3_State.dat',form='formatted',status='old')
      read(10,*,end=199,err=199) iDummy, fDummy
      if (iDummy.ge.0.and.iDummy.le.NAP) then
        fAi(iDummy) = fDummy
        write(*,'(a,i4,a,f12.5)') 'a_',iDummy,'=',fAi(iDummy) 
        NDummy = NDummy + 1
        NA = max(NA,iDummy)
      else
        stop "Error in readState: iDummy out of range!"
      end if
      goto 111
 199  close(10)
      write(*,'(a,i5,a,i5)') 'N=',NA, '; # elements=' ,NDummy
* --- end of subroutine ---------------------------------------------- *
      return
      end

************************************************************************
* === showing state at suitable times ================================ *
      subroutine showState(timeNow,fAi)
      implicit none
      include 'xv_DS.include'     ! NAP,... | dimensions of DS
      include 'xv_DS_Time.include'    ! timeShow, ...
      include 'xv_DS_State.include'   ! fAi     | state of DS
      real*8    timeNow
      integer*8 iDummy
* --- begin of subroutine -------------------------------------------- *
      if ((int((timeNow-timeStep)/timeShow).ne.
     &     int((timeNow+timeStep)/timeShow)).or.  ! at t approx i*timeShow
     &    timeNow.lt.timeBegin+0.5*timeStep.or.   ! at t approx tBegin
     &    timeNow.gt.timeEnd  -0.5*timeStep) then ! at t approx tEnd
        write(*,'(a,f12.3,a,5f10.5)') 't=',timeNow,
     &    '; a_i=',fAi(1),fAi(2),fAi(NA-1),fAi(NA)
      end if
* --- end of subroutine ---------------------------------------------- *
      return
      end

************************************************************************
* === Write IC for dynamical system ************************************
      subroutine writeState(fAi)
      implicit none
      include 'xv_DS.include'     ! NA
      include 'xv_DS_State.include'   ! fAi     | state of DS
      integer*8 iDummy
* --- Begin segment -------------------------------------------------- *
      write(*,*) 'Writing << y3_State.dat >> ...'
* --- Open file ------------------------------------------------------ *
      open(10,file='y3_State.dat',form='formatted',status='UNKNOWN')
* --- Write in file -------------------------------------------------- *
      do iDummy = 1, NA
        write(10,'(i5,f20.10)') iDummy, fAi(iDummy)
      end do
* --- Close file ----------------------------------------------------- *
      close(10)
* --- End of segment ------------------------------------------------- *
      return
      end
