************************************************************************
*****                                                              *****
***** @segment name: xs_DS_Time.f                                  *****
***** @task: initialize the time integration parameters            *****
***** @see: res090905                                              *****
*****                                                              *****
************************************************************************
* === subroutine initTime(timeNow)
* === subroutine showTime(timeNow)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

***********************************************************************
* === initializing the time integration parameters ================== *
      subroutine initTime(timeNow)
      implicit none
      include 'xv_DS_Time.include'
      real*8  timeNow
* --- begin of subroutine ------------------------------------------- *
      write(*,*) 'Reading the time integration parameters ...'
      open(10,file='y3_Time.dat',form='formatted',status='old')
      read(10,*) timeBegin
      read(10,*) timeEnd
      read(10,*) timeStep
      read(10,*) timeShow
      read(10,*) timeSave
      close(10)
      timeNow = timeBegin
* --- end of subroutine --------------------------------------------- *
      return
      end

***********************************************************************
* === showing time ================================================== *
      subroutine showTime(timeNow)
      implicit none
      include 'xv_DS_Time.include'
      real*8  timeNow
* --- begin of subroutine ------------------------------------------- *
      write(*,*) 'Showing the time integration parameters ...'
      write(*,'(3(a8,f12.5,2x))') 't=',      timeNow,
     &                            't_0=',    timeBegin,
     &                            't_1=',    timeEnd
      write(*,'(3(a8,f12.5,2x))') 'dt=',     timeStep,
     &                            'dt_Show=',timeShow,
     &                            'dt_Save=',timeSave
* --- end of subroutine --------------------------------------------- *
      return
      end
