************************************************************************
*****                                                              *****
***** @segment name: xs_DS_readQijk.f                              *****
***** @task: read q_ijk for a constant-linear-quadratic flow       *****
***** @see:  res090905                                             *****
*****                                                              *****
************************************************************************
* === subroutine readQijk
*         |_____ readMode
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

***********************************************************************
* === read iMode ==================================================== *
      subroutine readMode
      implicit none
      include 'xv_DS.include'        ! NAP,... | dimensions of DS
      integer*8 iDummy, jDummy
      logical bExist
* --- begin of subroutine ------------------------------------------- *
      write(*,'(a,i5)') 'Reading y3_Modes.dat ... N=',NA
* --- initialize
      do iDummy = 1, NA
        iMode(iDummy) = iDummy
      end do
* --- reading the DS coefficients
      inquire(file='y3_Modes.dat',EXIST=bExist)
      if (bExist) then
 111    open(10,file='y3_Modes.dat',form='formatted',status='old')
        read(10,*,end=199,err=199) iDummy, jDummy
        iMode(iDummy) = jDummy
        goto 111
 199    close(10)
      else
        write(*,*) '<< y3_Modes.dat >> does not exist.'
      end if
      do iDummy = 1, NA
        write(*,'(3(a,i5))') 'z_(',iDummy,')=',iMode(iDummy)
      end do
* --- end of subroutine --------------------------------------------- *
      return
      end

***********************************************************************
* === read Qijk ===================================================== *
      subroutine readQijk
      implicit none
      include 'xv_DS.include'        ! NAP,... | dimensions of DS
      include 'xv_DS_Propagator.include' ! parameter of DS
      integer*8 iDummy, jDummy, kDummy, NDummy
      real*8    fDummy
* --- begin of subroutine ------------------------------------------- *
      write(*,*) 'Reading q_ijk and determining N ...'
      NA = 1 ! minimum dimension
      NDummy = 0 ! minimum number of elements
* --- reading the DS coefficients
      NA     = 1 ! minimum dimension
 111  open(10,file='y3_DS_Qijk.dat',form='formatted',status='old')
      read(10,*,end=199,err=199) iDummy, jDummy, kDummy,fDummy
      if (min(iDummy-1,jDummy,kDummy).ge.0.and.
     &    max(iDummy,jDummy,kDummy).le.NAP) then
        fQijk(iDummy,jDummy,kDummy) = fDummy
        write(*,'(a,i4,a,i4,a,i4,a,f12.5)')
     &          'q(',iDummy,';',jDummy,';',kDummy,')=',fDummy 
        NDummy = NDummy + 1
        NA = max(NA,iDummy)
      else
        stop "Error in readState: iDummy out of range!"
      end if
      goto 111
 199  close(10)
      write(*,'(3(a,i5))') 'N=',NA, '; # elements=' ,NDummy,
     & ' <=',NA*(NA+1)*(NA+1)
* --- descriptor system --------------------------------------------- *
      call readMode
* --- end of subroutine --------------------------------------------- *
      return
      end
