************************************************************************
*****                                                              *****
***** @segment name: xs_DS_writeQijk.f                             *****
***** @task: write q_ijk for a constant-linear-quadratic flow      *****
***** @see:  res090905                                             *****
*****                                                              *****
************************************************************************
* === subroutine writeQijk
*         |_____ writeMode
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012

***********************************************************************
* === Write iMode =================================================== *
      subroutine writeMode
      implicit none
      include 'xv_DS.include'        ! NAP,... | dimensions of DS
      integer*8 iDummy, jDummy
* --- Begin of subroutine ------------------------------------------- *
      write(*,'(a,i5)') 'Writing << y3_Modes.dat >> ... N=',NA
* --- Reading the DS coefficients
      open(10,file='y3_Modes.dat',form='formatted',status='UNKNOWN')
      do iDummy = 1, NA
        if (iMode(iDummy).gt.0) then
          write(10,'(2i10,2x,a)') iDummy, iMode(iDummy),
     &             ' ! dynamic mode / da_i/dt=f_i(a)'
        else if (iMode(iDummy).lt.0) then
          write(10,'(2i10,2x,a)') iDummy, iMode(iDummy),
     &             ' ! slaved mode  / a_i=f_i(a)'
        else 
          write(10,'(2i10,2x,a)') iDummy, iMode(iDummy),
     &             ' ! slaved mode  / 0=f_i(a)'
        end if
      end do
      close(10)
* --- end of subroutine --------------------------------------------- *
      return
      end

***********************************************************************
* === Write Qijk ==================================================== *
      subroutine writeQijk
      implicit none
      include 'xv_DS.include'        ! NAP,... | dimensions of DS
      include 'xv_DS_Propagator.include' ! parameter of DS
      integer*8 iDummy, jDummy, kDummy, NDummy
      real*8    fDummy
* --- begin of subroutine ------------------------------------------- *
      write(*,*) 'Writing << y3_DS_Qijk.dat >> ... / N=',NA
      open(10,file='y3_DS_Qijk.dat',form='formatted',status='UNKNOWN')
      NDummy = 0
      do iDummy=1,NA
      do jDummy=0,NA
      do kDummy=0,NA
        fDummy = fQijk(iDummy,jDummy,kDummy)
        if (fDummy.ne.0) then 
          write(10,'(3i5x,2xe18.10)') iDummy, jDummy, kDummy, fDummy
          NDummy = NDummy + 1
        end if
      end do
      end do
      end do
      close(10)
      write(*,'(a,i10)') '# (non-zero elements) = ',NDummy
* --- descriptor system --------------------------------------------- *
      call writeMode
* --- end of subroutine --------------------------------------------- *
      return
      end
