************************************************************************
*****                                                              *****
***** @segment name: xs_compConvectiveTermSub.f                    *****
***** @task: routines for the convective term (in a subdomain)     *****
***** @see:  res.20100408.xAMC_ToDo.tex                            *****
*****                                                              *****
************************************************************************
* === subroutine compConvectiveTermSub(fFlowsSubG,fTensor)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012 ************************************************************************ 
* === compute the GP of the convective term ============================= *
      subroutine compConvectiveTermSub(fModesSubG,fTensor)
      implicit none
* --- variables for the Galerkin approximation
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
      include 'xv3X.include' ! NXSub, ...
      include 'xv3X_FlowSub.include'    ! fFlowSubG
      include 'xv3X_Flow1Sub.include'   ! fFlow1SubG
      include 'xv3X_Flow2Sub.include'   ! fFlow2SubG
      include 'xv3X_ModesSub.include'   ! fModesSubG
* --- tensor for convective term
      real*8  fTensor(NEMP,-NAMP:NEMP,-NAMP:NEMP)
* --- auxiliary dummy variables
      integer iMode, jMode, kMode
      real*8  fFctConvectiveTermSub
      real*8  fDummy                    ! norm
* --- begin of segment ----------------------------------------------- *
* --- initialize tensor
      do iMode =     1, NEMP
      do jMode = -NAMP, NEMP
      do kMode = -NAMP, NEMP
        fTensor(iMode,jMode,kMode) = 0.0
      end do
      end do
      end do
* --- compute tensor
      write(*,*) '***** Compute GP of convective term ...'
      do iMode =    1, NEM
      do jMode = -NAM, NEM
      do kMode = -NAM, NEM
         call copyFromModesSub(fFlowSubG, fModesSubG,iMode)
         call copyFromModesSub(fFlow1SubG,fModesSubG,jMode)
         call copyFromModesSub(fFlow2SubG,fModesSubG,kMode)
         fDummy = fFctConvectiveTermSub(fFlowSubG,fFlow1SubG,fFlow2SubG)
         fTensor(iMode,jMode,kMode) = fDummy
         write(*,*) iMode,jMode,kMode,fDummy
      end do
      end do
      end do
* --- end of segment ------------------------------------------------- *
      return
      end
