************************************************************************
*****                                                              *****
***** @segment name: xs_compForceTermSub.f                         *****
***** @task: routines for the force term (in a subdomain) ...      *****
***** @see:  res.20100408.xAMC_ToDo.tex                            *****
*****                                                              *****
************************************************************************
* === subroutine compForceTermSub(fModesSubG,fForcesSubG,fMatrix2)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012 ************************************************************************ 
* === compute the mass matrix ======================================== *
      subroutine compForceTermSub(fModesSubG,fForcesSubG,fMatrix2)
      implicit none
* --- input parameters for filename and domain
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
      include 'xv3X.include' ! NXSubP, ...
      include 'xv3X_FlowSub.include'    ! fFlowSubG
      include 'xv3X_Flow2Sub.include'   ! fFlow2SubG
      include 'xv3X_ModesSub.include'   ! fModesSubG
      include 'xv3X_ForcesSub.include'  ! fForcesSubG
* --- matrix (B-term)
      real*8 fMatrix2(NEMP,NVFP)
* --- auxiliary dummy variables
      integer iMode, iForce
      real*8  fFctInnerProductSub
      real*8  fDummy                    ! norm
* --- begin of segment ----------------------------------------------- *
      if (NVF.le.0) return
* --- initialize mass matrix
      do iMode  = 1, NEMP
      do iForce = 1, NVFP
        fMatrix2(iMode,iForce) = 0.0
      end do
      end do
* --- compute mass matrix
      write(*,*) '***** Compute volume force term ...'
      do iMode  = 1, NEM
      do iForce = 1, NVF
         call copyFromModesSub (fFlowSubG, fModesSubG, iMode)
         call copyFromForcesSub(fFlow2SubG,fForcesSubG,iForce)
         fDummy = fFctInnerProductSub(fFlowSubG,fFlow2SubG)
         fMatrix2(iMode,iForce) = fDummy
         write(*,*) iMode,iForce,fDummy
      end do
      end do
* --- end of segment ------------------------------------------------- *
      return
      end
