************************************************************************
*****                                                              *****
***** @segment name: xs_compMassMatrixSub.f                        *****
***** @task: routines for the mass matrix (in a subdomain) ...     *****
***** @see:  res.20100408.xAMC_ToDo.tex                            *****
*****                                                              *****
************************************************************************
* === subroutine compMassMatrixSub(fFlowsSubG,fMatrix)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012 ************************************************************************ 
* === compute the mass matrix ======================================== *
      subroutine compMassMatrixSub(fModesSubG,fMatrix)
      implicit none
* --- input parameters for filename and domain
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
      include 'xv3X.include' ! NXSubP, ...
      include 'xv3X_FlowSub.include'    ! fFlowSubG
      include 'xv3X_Flow2Sub.include'   ! fFlow2SubG
      include 'xv3X_ModesSub.include'   ! fModesSubG
* --- mass matrix
      real*8 fMatrix(NEMP,-NAMP:NEMP)
* --- auxiliary dummy variables
      integer iMode, jMode
      real*8  fFctInnerProductSub
      real*8  fDummy          ! norm
* --- begin of segment ----------------------------------------------- *
* --- initialize mass matrix
      do iMode =     1, NEMP
      do jMode = -NAMP, NEMP
        fMatrix(iMode,jMode) = 0.0
      end do
      end do
* --- compute mass matrix
      write(*,*) '***** Compute mass matrix ...'
      do iMode    =    1, NEM
      do jMode    = -NAM, NEM
         call copyFromModesSub(fFlowSubG, fModesSubG,iMode)
         call copyFromModesSub(fFlow2SubG,fModesSubG,jMode)
         fDummy = fFctInnerProductSub(fFlowSubG,fFlow2SubG)
         fMatrix(iMode,jMode) = fDummy
         if (jMode.gt.0) fMatrix(jMode,iMode) = fDummy
         write(*,*) iMode,jMode,fDummy
      end do
      end do
* --- end of segment ------------------------------------------------- *
      return
      end
