************************************************************************
*****                                                              *****
***** @segment name: xs_compViscousTermSub.f                       *****
***** @task: routines for the viscous term (in a subdomain)        *****
***** @see:  res.20100408.xAMC_ToDo.tex                            *****
*****                                                              *****
************************************************************************
* === subroutine compViscousTermSub(fFlowsSubG,fMatrix)
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012 ************************************************************************ 
* === compute the GP of the viscous term ============================= *
      subroutine compViscousTermSub(fModesSubG,fMatrix)
      implicit none
* --- variables for the Galerkin approximation
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
      include 'xv3X.include' ! NXSubP, ...
      include 'xv3X_FlowSub.include'    ! fFlowSubG
      include 'xv3X_Flow2Sub.include'   ! fFlow2SubG
      include 'xv3X_ModesSub.include'   ! fModesSubG
* --- matrix for viscous term
      real*8  fMatrix(NEMP,-NAMP:NEMP)
* --- auxiliary dummy variables
      integer iMode, jMode
      real*8  fFctViscousTermSub
      real*8  fDummy                    ! norm
* --- begin of segment ----------------------------------------------- *
* --- initialize matrix
      do iMode =     1, NEMP
      do jMode = -NAMP, NEMP
        fMatrix(iMode,jMode) = 0.0
      end do
      end do
* --- compute matrix
      write(*,*) '***** Compute GP of viscous term ...'
      do iMode    =    1, NEM
      do jMode    = -NAM, NEM
         call copyFromModesSub(fFlowSubG, fModesSubG,iMode)
         call copyFromModesSub(fFlow2SubG,fModesSubG,jMode)
         fDummy = fFctViscousTermSub(fFlowSubG,fFlow2SubG)
         fMatrix(iMode,jMode) = fDummy
         write(*,*) iMode,jMode,fDummy
      end do
      end do
* --- end of segment ------------------------------------------------- *
      return
      end
