#***********************************************************************
#***** @task:       execute AMC pipeline *******************************
#***** @dependency: has to be executed in the xAMC run directory *******
#***** @author:     Bernd R. Noack *************************************
#***** @revised:    2012-01-15 Syracuse (obsolete INIT2u removed) ******
#***** @revised:    2010-08-28 Poitiers ********************************
#***** @created:    2010-04-28 Poitiers ********************************
#***********************************************************************

source x_defineLocalVariables.sh
mkdir z1_Data || echo "z1_Data exists!"

#***** Plot grid and first snapshot **************
./x0_plotGrid.sh
./x0_plotFlow.sh < x0_plotFlow.inputFlow0001
$PSViewer Flow.0001_S.ps

#***** Perform POD *******************************
./x1_CorrelationMatrix.sh
./x1_eigenproblemPOD.sh
./x1_POD.sh
./x0_plotFlow.sh < x0_plotFlow.inputMode0001
$PSViewer Mode.0001_S.ps

#***** Add and plot shift mode *******************
./x1_GalerkinApproximation.sh
./x0_plotFlow.sh < x0_plotFlow.inputMode0009
$PSViewer Mode.0009_S.ps


#***** Perform Galerkin projection ***************
./x2_GalerkinProjection.sh

#***** Make the dynamical system *****************
./x3_makeDS.sh

#***** Solve dynamical system ********************
./x3_solveDS.sh
./x3_plotAmplitudes.sh

exit

%=================================================
#echo "Compute FTT system (run xFTT)..."
#./x4_initFTT.sh

echo "FTT solver..."
cp          y4_Time.dat  y3_Time.dat
cp          y4_State.dat y3_State.dat
cp xs_FTT_Propagator.f   xs_DS_Propagator.f
./x3_solveDS.sh
./x3_plotSolution.sh
